# Generated by Django 4.2.7 on 2024-07-06 11:36


from django.db import migrations, models

def parse_description(apps, schema_editor):
    CarModel = apps.get_model("car_collection", "CarModel")

    for model in CarModel.objects.all():
        description = model.description
#        print("desciption="+description)
        lines = description.split('\n')
        for line in lines:
#            print("line="+line)
            txt = line.split(':')
            if len(txt) > 1:
                key = txt[0].strip()
                value = txt[1].strip()
#                print("key='"+key+"' - value='"+value+"'")

                if key == "Vitesse max":
                    model.max_speed = value
                if key == "0-100 Km/h":
                    model.acceleration = value
                if key == "Puissance":
                    model.horse_power = value
                if key == "Couple":
                    model.tork = value
                if key == "Poids":
                    model.weight = value
                if key == "Moteur":
                    model.motor = value

                model.description = ""
                model.save()

class Migration(migrations.Migration):

    dependencies = [
        ('car_collection', '0009_auto_20240213_2101'),
    ]

    operations = [
        migrations.AddField(
            model_name='carmodel',
            name='acceleration',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AddField(
            model_name='carmodel',
            name='horse_power',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AddField(
            model_name='carmodel',
            name='max_speed',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AddField(
            model_name='carmodel',
            name='motor',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AddField(
            model_name='carmodel',
            name='tork',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.AddField(
            model_name='carmodel',
            name='weight',
            field=models.TextField(blank=True, default=''),
        ),
        migrations.RunPython(parse_description),
    ]
